import { d as E, V as W, f as X, e as j, r, a4 as z, aw as L, c as u, o as d, w as n, j as a, W as M, l as t, H as N, aI as O, p as $, A as G, B as H, ca as J, gW as K, gX as Q, X as U, aj as Y, __tla as __tla_0 } from "./index-9PRMimni.js";
import { B as Z } from "./BasicForm-dL_oCSPM.js";
import { g as oo, __tla as __tla_1 } from "./schemas-DzvLPsci.js";
import { g as to, __tla as __tla_2 } from "./columns-DB1N8YCE.js";
import { B as eo } from "./Table-0PViRYCf.js";
import { g as no } from "./index-CKrxNOjs.js";
import { _ as ao, __tla as __tla_3 } from "./Contract.vue_vue_type_script_setup_true_lang-H_Rj9gKS.js";
import { u as ro } from "./useForm-CKmgcynv.js";
import "./Render.vue_vue_type_script_lang-DKUYY0Zw.js";
import "./SingleImageUpload-CNx4b9eC.js";
import "./ImageUpload.vue_vue_type_style_index_0_scoped_cb086928_lang-D-28kXvw.js";
import "./componentSetting-DVhNDBTO.js";
import "./ImageUpload-DUsnro3W.js";
import "./vuedraggable.umd-Co2xEC3p.js";
import "./BasicUpload.vue_vue_type_style_index_0_scoped_a4d0e930_lang-DxRbtP01.js";
import "./tabsView-BXskTdVh.js";
import "./BasicForm.vue_vue_type_style_index_0_scoped_b9e995ec_lang-CEvcLwxD.js";
import "./propTypes-CebMRUpe.js";
import "./BasicSelect-C_uwzMkE.js";
import "./BasicSelect.vue_vue_type_style_index_0_scoped_772d51cc_lang-Brp6PjEU.js";
import "./dictionary-BRse4lkf.js";
import "./index-DkvzUEqh.js";
import "./index-kKnqLkWM.js";
import "./AutoComplete-Dv1Bqed4.js";
import "./TreeSelect-BZh2DeCh.js";
import "./template-rpthWlT9.js";
import "./isEmpty-BUg1OsQj.js";
import "./basicModal.vue_vue_type_style_index_0_lang-8QZP7ApW.js";
import { __tla as __tla_4 } from "./index.vue_vue_type_style_index_0_scoped_b974e5ec_lang-_0QwzFKM.js";
import "./jobOrder-CGbsc7bp.js";
import "./has-CjqcrIOV.js";
import "./Table.vue_vue_type_style_index_0_scoped_7b9e6ece_lang-BoW2DV_e.js";
import "./componentMap-CElCaWis.js";
import "./format-DgF6KtHk.js";
import "./omit-B2_8Y6O_.js";
import "./_flatRest-DBrd2CHT.js";
import "./flatten-DeoUZLdb.js";
import "./print-CT_2hrjP.js";
import "./schemas-BmKi-UM9.js";
import "./index.vue_vue_type_script_setup_true_lang-1Pz8a6-H.js";
import "./props-CLtNejQT.js";
import "./basicModal.vue_vue_type_script_setup_true_lang-CsJydKhW.js";
import "./useModal-CO65vga3.js";
import "./useTimeout-BxFilWvD.js";
import "./usePageCache-DluHn7Yy.js";
import "./Flex-CTSf12gq.js";
let ot;
let __tla = Promise.all([
    (()=>{
        try {
            return __tla_0;
        } catch  {}
    })(),
    (()=>{
        try {
            return __tla_1;
        } catch  {}
    })(),
    (()=>{
        try {
            return __tla_2;
        } catch  {}
    })(),
    (()=>{
        try {
            return __tla_3;
        } catch  {}
    })(),
    (()=>{
        try {
            return __tla_4;
        } catch  {}
    })()
]).then(async ()=>{
    ot = E({
        __name: "Add",
        setup (so) {
            const { t: c } = W(), _ = X(), f = j(), { addColumns: g } = to(S), { addPlanSchemas: y, setType: h } = oo(), [b, { setFieldsValue: B }] = ro({
                gridProps: {
                    cols: 12
                },
                layout: "horizontal",
                schemas: y,
                labelPlacement: "top",
                showActionButtonGroup: !1
            }), C = r(0), I = r(0), i = r(), v = r(), k = r(), m = r([]), w = r(), s = _.query, l = z(()=>s.type === "view");
            function P() {
                f.back();
            }
            async function R(e) {
                try {
                    const o = await no(e);
                    console.log("计划详情", o), v.value = Y(o), B(o), w.value = o.statusFlag, m.value = o.crewBatchShiftsPlanDetailVoList || [];
                } catch (o) {
                    throw console.error("获取计划详情失败:", o), o;
                }
            }
            function S(e, o) {
                console.log("打开---contract", e), C.value = o, e.crewPlanContractInfoVo = {
                    rankId: e.dutyIdOn,
                    vesselId: t(I),
                    ...e.crewPlanContractInfoVo
                }, i.value?.handleOpenModal(e.crewPlanContractInfoVo, e);
            }
            function V() {
                console.log("query----", s, t(l)), h(t(l)), s.id && R(s.id);
            }
            return L(()=>{
                V();
            }), (e, o)=>{
                const F = H, D = O, x = N, T = Z, p = M, q = U;
                return d(), u(q, null, {
                    default: n(()=>[
                            a(p, {
                                bordered: !1,
                                class: "mb-3 proCard",
                                title: t(c)("common.basicInformation"),
                                segmented: {
                                    content: !0,
                                    footer: "soft"
                                }
                            }, {
                                "header-extra": n(()=>[
                                        a(x, null, {
                                            default: n(()=>[
                                                    a(D, {
                                                        trigger: "hover"
                                                    }, {
                                                        trigger: n(()=>[
                                                                a(F, {
                                                                    type: "primary",
                                                                    strong: "",
                                                                    bordered: "",
                                                                    secondary: "",
                                                                    class: "size-7 bg-[#E4E4E4]",
                                                                    onClick: P
                                                                }, {
                                                                    icon: n(()=>[
                                                                            (d(), u(J(t(K)(t(Q).return, "text-[#B1B4BF]"))))
                                                                        ]),
                                                                    _: 1
                                                                })
                                                            ]),
                                                        default: n(()=>[
                                                                $(" " + G(t(c)("common.back")), 1)
                                                            ]),
                                                        _: 1
                                                    })
                                                ]),
                                            _: 1
                                        })
                                    ]),
                                default: n(()=>[
                                        a(T, {
                                            onRegister: t(b)
                                        }, null, 8, [
                                            "onRegister"
                                        ])
                                    ]),
                                _: 1
                            }, 8, [
                                "title"
                            ]),
                            a(p, {
                                bordered: !1,
                                class: "proCard"
                            }, {
                                default: n(()=>[
                                        a(t(eo), {
                                            ref_key: "basicTableRef",
                                            ref: k,
                                            columns: t(g),
                                            dataSource: t(m),
                                            "row-key": (A)=>A.id,
                                            autoScrollX: !0,
                                            actionColumn: void 0,
                                            immediate: !1,
                                            pagination: !1,
                                            "virtual-scroll": ""
                                        }, null, 8, [
                                            "columns",
                                            "dataSource",
                                            "row-key"
                                        ])
                                    ]),
                                _: 1
                            }),
                            a(ao, {
                                ref_key: "contractRef",
                                ref: i,
                                onSuccess: e.handleContract
                            }, null, 8, [
                                "onSuccess"
                            ])
                        ]),
                    _: 1
                });
            };
        }
    });
});
export { ot as default, __tla };
